# ApplicationFramework
TKLCAF
TNaming

# TNaming_ListIteratorOfListOfNamedShape Class Reference

`#include <TNaming_ListIteratorOfListOfNamedShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_ListIteratorOfListOfNamedShape ()
Standard_EXPORT | TNaming_ListIteratorOfListOfNamedShape (const TNaming_ListOfNamedShape &L)
Standard_EXPORT void | Initialize (const TNaming_ListOfNamedShape &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_TNaming_NamedShape & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_ListIteratorOfListOfNamedShape::TNaming_ListIteratorOfListOfNamedShape | ( |  | ) |

Standard_EXPORT TNaming_ListIteratorOfListOfNamedShape::TNaming_ListIteratorOfListOfNamedShape | ( | const TNaming_ListOfNamedShape & | L | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_ListIteratorOfListOfNamedShape::Initialize | ( | const TNaming_ListOfNamedShape & | L | ) |

Standard_Boolean TNaming_ListIteratorOfListOfNamedShape::More | ( |  | ) | const

Standard_EXPORT void TNaming_ListIteratorOfListOfNamedShape::Next | ( |  | ) |

void TNaming_ListIteratorOfListOfNamedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_ListIteratorOfListOfNamedShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_ListIteratorOfListOfNamedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_TNaming_NamedShape& TNaming_ListIteratorOfListOfNamedShape::Value | ( |  | ) | const

## Field Documentation

Standard_Address TNaming_ListIteratorOfListOfNamedShape::current`[private]`

Standard_Address TNaming_ListIteratorOfListOfNamedShape::previous`[private]`

The documentation for this class was generated from the following file:

- TNaming_ListIteratorOfListOfNamedShape.hxx